RGPD erase a customer (confirmEmail echo; irreversible; audited)
DELETE
/admin/v1/customers/{id}
const url = 'https://your-store.example.com/admin/v1/customers/example';const options = { method: 'DELETE', headers: {'Content-Type': 'application/json'}, body: '{"confirmEmail":"hello@example.com"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://your-store.example.com/admin/v1/customers/example \ --header 'Content-Type: application/json' \ --data '{ "confirmEmail": "hello@example.com" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Request Body required
Section titled “Request Body required ” Media type application/json
object
confirmEmail
required
string format: email
Example generated
{ "confirmEmail": "hello@example.com"}